vpEnable(3)

NAME
vpEnable - enable or disable options

SYNOPSIS
#include <volpack.h>

vpEnable(vpc, option, value) vpContext *vpc; int option; int value;

ARGUMENTS

vpc VolPack context from vpCreateContext.

option
    Constant that specifies the option to be adjusted.

value
    New value for the option (boolean: 0 or 1).

DESCRIPTION
vpEnable is used to enable or disable boolean options in a rendering context. If the value option is 0 then the option is disabled; otherwise it is enabled. The following list summarizes all available options:

VP_LIGHT0
VP_LIGHT1
VP_LIGHT2
VP_LIGHT3
VP_LIGHT4
VP_LIGHT5
    Enable the corresponding light source (see vpSetLight(3)). Default: VP_LIGHT0 is enabled, and all others are disabled.

VP_LIGHT_BOTH_SIDES
    Enable two-sided lighting (see vpSetLight(3)). Default: disabled

VP_REVERSE_SURFACE_SIDES
    Reverse the definition of interior and exterior surfaces (see vpSetMaterial(3)). Default: disabled

VP_DEPTH_CUE
    Enable depth cueing (see vpSetDepthCueing(3)). Default: disabled

VP_VIEW_X_AXIS
VP_VIEW_Y_AXIS
VP_VIEW_Z_AXIS
    Enable computing a preclassified volume for the corresponding major viewing axis (see vpClassifyVolume(3)). Default: enabled

VP_SHADOW
    Enable rendering shadows (see vpSetShadowLookupShader(3)). Default: disabled

VP_CLAMP_SHADE_TABLE
    Enable clamping the color components in a shade table to the range 0.0-255.0. This option affects vpShadeTable(). Default: enabled

ERRORS
The normal return value is VP_OK. The following error return value is possible:

VPERROR_BAD_VALUE
    The option argument is invalid.

SEE ALSO
VolPack(3), vpCreateContext(3)